# Class Packer

#### Hierarchy

- Packer

- Defined in export/packer/packer.ts:19

#####
Index

### Constructors

constructor

### Methods

toBase64String
toBlob
toBuffer
toStream
toString

## Constructors

### constructor

- new Packer(): Packer

- #### Returns Packer

## Methods

### `Static` toBase64String

- toBase64String(file, prettify?): Promise<string>

- #### Parameters

  - ##### file: Document

  - ##### `Optional` prettify: boolean | PrettifyType

  #### Returns Promise<string>

  - Defined in export/packer/packer.ts:42

### `Static` toBlob

- toBlob(file, prettify?): Promise<Blob>

- #### Parameters

  - ##### file: Document

  - ##### `Optional` prettify: boolean | PrettifyType

  #### Returns Promise<Blob>

  - Defined in export/packer/packer.ts:53

### `Static` toBuffer

- toBuffer(file, prettify?): Promise<Buffer>

- #### Parameters

  - ##### file: Document

  - ##### `Optional` prettify: boolean | PrettifyType

  #### Returns Promise<Buffer>

  - Defined in export/packer/packer.ts:31

### `Static` toStream

- toStream(file, prettify?): Stream

- #### Parameters

  - ##### file: Document

  - ##### `Optional` prettify: boolean | PrettifyType

  #### Returns Stream

  - Defined in export/packer/packer.ts:64

### `Static` toString

- toString(file, prettify?): Promise<string>

- #### Parameters

  - ##### file: Document

  - ##### `Optional` prettify: boolean | PrettifyType

  #### Returns Promise<string>

  - Defined in export/packer/packer.ts:20

Generated using TypeDoc